CA Identity Manager: WildFly 13 version support

Document ID : KB000111802
Last Modified Date : 21/08/2018
Show Technical Document Details
Question:
The Identity Manager 14.1 and 14.2 support matrix indicates IM supports "WildFly 8.2 or later 8.x releases". There is a concern that this release of WildFly 8.2 Final is almost 4 years old now, and there were never any subsequent 8.x releases of WildFly. WildFly's most recent release is 13 Final. Is CA attempting to certify IM on more recent releases of WildFly, and if so, what is the expected date when more recent versions of WildFly will be supported? and If we have a vulnerability in WidlFly 8.2, how can we patch them?
Answer:
Our development team is planning to certify the Identity Manager 14.4 release for Wildfly 13x, which is currently the latest version of Wildfly. However, there are currently no plans to certify 14.2 or 14.3 beyond Wildfly 8.2.1. Any vulnerabilities of Wildfly would likely need to be handled by Redhat, if they do not provide patches for them then it may not be possible to resolve them once Wildfly 8.2.x is EOL.